#include <stdio.h>
#include <stdlib.h>
#define DIM 1000
int main()
{
    int n,vp,i,br,x[DIM];

    printf("Unesi broj stalaktita:");
    do
    {
        scanf("%d", &n);
        if(n>DIM || n<1)
            printf("Greska!");


    }while(n>DIM || n<1);


    printf("Unesi Pericinu visinu:");
    scanf("%d", &vp);


    for(i=0;i<n;i++)
    {
        printf("Unesi visinu %d stalaktita od zemlje: ", i+1);
        scanf("%d", &x[i]);
    }

    for(i=0;i<n;i++)
    {
        if(vp>=x[i])
        {
             printf("%d", i+1);
             br=1;
             break;
        }

    }

    if(br!=1)
    {
        printf("-1");
    }

    return 0;
}